"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Container = Container;

var _react = _interopRequireDefault(require("react"));

var _reactNativeReanimated = require("react-native-reanimated");

var _reactNativeRedash = require("react-native-redash");

var _CursorOverlay = _interopRequireDefault(require("./CursorOverlay"));

var _svg = require("../components/svg");

var _Gesture = _interopRequireDefault(require("../components/Gesture"));

var _SliderContext = require("../context/SliderContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Container(_ref) {
  let {
    thetas,
    onGestureActive,
    onGestureEnd,
    children
  } = _ref;
  const {
    size,
    r,
    center,
    clockwise,
    trackWidth
  } = (0, _SliderContext.useSliderContext)();
  const {
    show,
    total,
    unit,
    color,
    showText,
    thickness,
    length
  } = (0, _SliderContext.useTickMarkContext)();
  const {
    icons
  } = (0, _SliderContext.useThumbContext)();
  const target = (0, _reactNativeReanimated.useSharedValue)(null);

  const onGestureStart = (_ref2, context) => {
    'worklet';

    let {
      x,
      y
    } = _ref2;
    const {
      theta
    } = (0, _reactNativeRedash.canvas2Polar)({
      x,
      y
    }, center.value);
    context.offset = theta;
    context.target = target;
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_svg.Canvas, {
    size: size
  }, /*#__PURE__*/_react.default.createElement(_svg.Track, null), show && /*#__PURE__*/_react.default.createElement(_svg.TickMark, {
    r,
    center,
    clockwise,
    trackWidth,
    total,
    unit,
    color,
    showText,
    thickness,
    length
  }), children), /*#__PURE__*/_react.default.createElement(_Gesture.default, {
    onStart: onGestureStart,
    onActive: onGestureActive,
    onEnd: onGestureEnd
  }, thetas.reduce((acc, curr, index, arr) => {
    const prev = arr[index - 1] || arr[arr.length - 1];
    const next = arr[index + 1] || arr[0];
    acc.push( /*#__PURE__*/_react.default.createElement(_CursorOverlay.default, {
      key: index,
      theta: curr,
      onPressIn: () => target.value = {
        prev,
        curr,
        next
      }
    }, icons[index]));
    return acc;
  }, [])));
}
//# sourceMappingURL=Container.js.map