"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

var _reactNativeRedash = require("react-native-redash");

var _reactNative = require("react-native");

var _react = _interopRequireDefault(require("react"));

var _SliderContext = require("../context/SliderContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const CursorOverlay = _ref => {
  let {
    theta,
    onPressIn,
    children
  } = _ref;
  const {
    r,
    center,
    trackWidth
  } = (0, _SliderContext.useSliderContext)();
  const position = (0, _reactNativeReanimated.useDerivedValue)(() => (0, _reactNativeRedash.polar2Canvas)({
    theta: theta.value,
    radius: r.value
  }, center.value));
  const animatedStyle = (0, _reactNativeReanimated.useAnimatedStyle)(() => {
    const {
      x,
      y
    } = position.value;
    return {
      width: trackWidth.value,
      height: trackWidth.value,
      borderRadius: trackWidth.value / 2,
      transform: [{
        translateX: x - trackWidth.value / 2
      }, {
        translateY: y - trackWidth.value / 2
      }]
    };
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPressIn: onPressIn
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [styles.container, animatedStyle]
  }, children));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    position: 'absolute',
    top: 0,
    left: 0,
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    overflow: 'hidden'
  }
});

var _default = CursorOverlay;
exports.default = _default;
//# sourceMappingURL=CursorOverlay.js.map