"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Slider;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _SliderContext = _interopRequireDefault(require("../context/SliderContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Slider(_ref) {
  let {
    size,
    clockwise,
    trackOptions,
    tickMarkOptions,
    thumbOptions,
    children
  } = _ref;
  const {
    width = size * 0.1,
    color = '#7F8487'
  } = trackOptions;
  const {
    show = false,
    unit = 5,
    total = 100,
    color: tickMarkColor = '#7F8487',
    length = 10,
    thickness = 2,
    showText = show,
    textSize = 10,
    textColor = '#191919'
  } = tickMarkOptions;
  return /*#__PURE__*/_react.default.createElement(_SliderContext.default, {
    sliderOptions: {
      size,
      clockwise: clockwise ?? true
    },
    trackOptions: {
      width,
      color
    },
    tickMarkOptions: {
      show,
      unit,
      total,
      color: tickMarkColor,
      length,
      thickness,
      showText,
      textSize,
      textColor
    },
    thumbOptions: thumbOptions
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, {
      width: size,
      height: size
    }]
  }, children));
}

const styles = _reactNative.StyleSheet.create({
  container: {
    position: 'relative'
  }
});
//# sourceMappingURL=Slider.js.map