"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Mark = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNativeReanimated = require("react-native-reanimated");

var _worklets = require("../../utils/worklets");

var _Animated = require("./Animated");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Mark = /*#__PURE__*/(0, _react.memo)(_ref => {
  let {
    r,
    trackWidth,
    center,
    showText,
    color,
    thickness,
    length,
    theta,
    text
  } = _ref;
  const animatedLineProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    const v1 = (0, _worklets.vector)(theta, r.value - trackWidth.value / 2, center.value);
    const v2 = (0, _worklets.vector)(theta, r.value - trackWidth.value / 2 - (text ? length : length / 2), center.value);
    return {
      x1: v1.x,
      y1: v1.y,
      x2: v2.x,
      y2: v2.y
    };
  });
  const animatedTextProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    const v = (0, _worklets.vector)(theta, r.value - trackWidth.value / 2 - length - 10, center.value);
    return {
      x: v.x,
      y: v.y
    };
  }, [length]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Animated.AnimatedLine, {
    animatedProps: animatedLineProps,
    stroke: color,
    strokeWidth: thickness,
    strokeLinecap: "round"
  }), showText && /*#__PURE__*/_react.default.createElement(_Animated.AnimatedText, {
    animatedProps: animatedTextProps,
    fontSize: "10",
    stroke: color,
    strokeWidth: 0.8,
    textAnchor: "middle",
    alignmentBaseline: "middle"
  }, text));
});
exports.Mark = Mark;
//# sourceMappingURL=Mark.js.map