"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Thumb = Thumb;

var _react = _interopRequireDefault(require("react"));

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

var _reactNativeSvg = require("react-native-svg");

var _reactNativeRedash = require("react-native-redash");

var _SliderContext = require("../../context/SliderContext");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const AnimatedCircle = _reactNativeReanimated.default.createAnimatedComponent(_reactNativeSvg.Circle);

function Thumb(_ref) {
  let {
    color,
    theta
  } = _ref;
  const {
    r,
    center,
    trackWidth
  } = (0, _SliderContext.useSliderContext)();
  const position = (0, _reactNativeReanimated.useDerivedValue)(() => (0, _reactNativeRedash.polar2Canvas)({
    theta: theta.value,
    radius: r.value
  }, center.value));
  const animatedProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    return {
      cx: position.value.x,
      cy: position.value.y,
      r: trackWidth.value / 2
    };
  }, [position]);
  return /*#__PURE__*/_react.default.createElement(AnimatedCircle, {
    animatedProps: animatedProps,
    fill: color
  });
}
//# sourceMappingURL=Thumb.js.map