"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TickMark = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNativeRedash = require("react-native-redash");

var _Mark = require("./Mark");

var _worklets = require("../../utils/worklets");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const TickMark = /*#__PURE__*/(0, _react.memo)(_ref => {
  let {
    r,
    trackWidth,
    center,
    showText,
    color,
    thickness,
    length,
    clockwise,
    total,
    unit
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, Array.from({
    length: total
  }).map((_, i) => {
    const theta = (0, _worklets.setClockwise)(i * _reactNativeRedash.TAU / total, clockwise);
    const isLong = i % unit === 0;
    return /*#__PURE__*/_react.default.createElement(_Mark.Mark, {
      key: i,
      theta: theta,
      text: isLong ? String(i) : undefined,
      r,
      trackWidth,
      center,
      showText,
      color,
      thickness,
      length
    });
  }));
});
exports.TickMark = TickMark;
//# sourceMappingURL=TickMark.js.map