"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Track = Track;

var _react = _interopRequireDefault(require("react"));

var _reactNativeSvg = require("react-native-svg");

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

var _SliderContext = require("../../context/SliderContext");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const AnimatedCircle = _reactNativeReanimated.default.createAnimatedComponent(_reactNativeSvg.Circle);

function Track() {
  const {
    r,
    center,
    trackWidth,
    trackColor
  } = (0, _SliderContext.useSliderContext)();
  const animatedProps = (0, _reactNativeReanimated.useAnimatedProps)(() => {
    return {
      r: r.value,
      cx: center.value.x,
      cy: center.value.y,
      strokeWidth: trackWidth.value
    };
  });
  return /*#__PURE__*/_react.default.createElement(AnimatedCircle, {
    animatedProps: animatedProps,
    stroke: trackColor
  });
}
//# sourceMappingURL=Track.js.map