"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Amount = Amount;

var _react = _interopRequireDefault(require("react"));

var _reactNativeRedash = require("react-native-redash");

var _reactNativeReanimated = require("react-native-reanimated");

var _SliderContext = require("../../context/SliderContext");

var _Container = require("../../components/Container");

var _svg = require("../../components/svg");

var _worklets = require("../../utils/worklets");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Amount(_ref) {
  let {
    amount,
    thumbColor,
    filledColor,
    onChange
  } = _ref;
  const {
    center,
    clockwise
  } = (0, _SliderContext.useSliderContext)();
  const {
    total
  } = (0, _SliderContext.useTickMarkContext)();
  const zeroTheta = (0, _reactNativeReanimated.useSharedValue)((0, _worklets.amount2Theta)(0, total, clockwise));
  const theta = (0, _reactNativeReanimated.useSharedValue)((0, _worklets.amount2Theta)(amount, total, clockwise));

  const onGestureActive = (_ref2, context) => {
    'worklet';

    var _context$target$value;

    let {
      x,
      y
    } = _ref2;

    if ((_context$target$value = context.target.value) !== null && _context$target$value !== void 0 && _context$target$value.curr) {
      const {
        theta: newTheta
      } = (0, _reactNativeRedash.canvas2Polar)({
        x,
        y
      }, center.value);
      const delta = newTheta - context.offset;
      theta.value = (0, _worklets.normalize)(theta.value + delta);
      context.offset = newTheta;
    }
  };

  const onGestureEnd = (_ref3, context) => {
    'worklet';

    let {
      x,
      y
    } = _ref3;
    context.target.value = null;

    if (onChange) {
      (0, _reactNativeReanimated.runOnJS)(onChange)((0, _worklets.theta2Amount)(theta.value, total, clockwise));
    }
  };

  return /*#__PURE__*/_react.default.createElement(_Container.Container, {
    thetas: [theta],
    onGestureActive: onGestureActive,
    onGestureEnd: onGestureEnd
  }, /*#__PURE__*/_react.default.createElement(_svg.FilledGauge, {
    color: filledColor,
    startTheta: zeroTheta,
    endTheta: theta
  }), /*#__PURE__*/_react.default.createElement(_svg.Thumb, {
    theta: theta,
    color: thumbColor
  }));
}
//# sourceMappingURL=Amount.js.map