"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DurationSlider = DurationSlider;

var _react = _interopRequireDefault(require("react"));

var _Duration = require("./Duration");

var _Slider = _interopRequireDefault(require("../../components/Slider"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DurationSlider(_ref) {
  let {
    size,
    clockwise,
    duration,
    thumbColor = {
      start: '#FFA500',
      end: '#FFA500'
    },
    thumbIcon = {
      start: null,
      end: null
    },
    filledColor = '#FFE5B4',
    onChange,
    trackOptions = {},
    tickMarkOptions = {}
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_Slider.default, {
    size: size,
    clockwise: clockwise,
    trackOptions: trackOptions,
    tickMarkOptions: tickMarkOptions,
    thumbOptions: {
      colors: [thumbColor.start, thumbColor.end],
      icons: [thumbIcon.start, thumbIcon.end]
    }
  }, /*#__PURE__*/_react.default.createElement(_Duration.Duration, {
    duration: duration,
    onChange: onChange,
    filledColor: filledColor
  }));
}
//# sourceMappingURL=index.js.map