"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Percent = Percent;

var _react = _interopRequireDefault(require("react"));

var _reactNativeRedash = require("react-native-redash");

var _reactNativeReanimated = require("react-native-reanimated");

var _Container = require("../../components/Container");

var _svg = require("../../components/svg");

var _worklets = require("../../utils/worklets");

var _SliderContext = require("../../context/SliderContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Percent(_ref) {
  let {
    percents,
    filledColor,
    onChange
  } = _ref;
  const {
    center
  } = (0, _SliderContext.useSliderContext)();
  const {
    colors
  } = (0, _SliderContext.useThumbContext)();
  const thetas = percents.reduce((acc, cur, index) => {
    var _acc;

    return [...acc, (0, _reactNativeReanimated.useSharedValue)((0, _worklets.percent2Theta)(cur, (_acc = acc[index - 1]) === null || _acc === void 0 ? void 0 : _acc.value))];
  }, []);

  const onGestureActive = (_ref2, context) => {
    'worklet';

    let {
      x,
      y
    } = _ref2;
    const {
      theta
    } = (0, _reactNativeRedash.canvas2Polar)({
      x,
      y
    }, center.value);

    if (context.target.value) {
      const {
        prev,
        curr,
        next
      } = context.target.value;
      const delta = (0, _worklets.normalize)(theta);

      if ((0, _worklets.moveable)(curr.value, next.value, delta)) {
        curr.value = delta;
      }

      if ((0, _worklets.moveable)(prev.value, curr.value, delta)) {
        curr.value = delta;
      }

      context.offset = curr.value;
    } else {
      if (context.offset) {
        const delta = theta - context.offset;
        thetas.forEach(t => t.value = (0, _worklets.normalize)(t.value + delta));
        context.offset = theta;
      }
    }
  };

  const onGestureEnd = (_ref3, context) => {
    'worklet';

    let {
      x,
      y
    } = _ref3;
    context.target.value = null;

    if (onChange) {
      (0, _reactNativeReanimated.runOnJS)(onChange)(thetas.reduce((acc, cur, index, arr) => {
        const prev = arr[index - 1] || arr[arr.length - 1];
        acc.push((0, _worklets.theta2Percent)(cur.value, prev.value));
        return acc;
      }, []));
    }
  };

  return /*#__PURE__*/_react.default.createElement(_Container.Container, {
    thetas: thetas,
    onGestureActive: onGestureActive,
    onGestureEnd: onGestureEnd
  }, thetas.reduce((acc, cur, index, arr) => {
    const prev = arr[index - 1] || arr[arr.length - 1];
    acc.push( /*#__PURE__*/_react.default.createElement(_svg.FilledGauge, {
      key: index,
      startTheta: prev,
      endTheta: cur,
      color: filledColor[index]
    }));
    return acc;
  }, []), thetas.map((theta, index) => /*#__PURE__*/_react.default.createElement(_svg.Thumb, {
    key: index,
    theta: theta,
    color: colors[index]
  })));
}
//# sourceMappingURL=Percent.js.map