"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.vector = exports.thetaBetweenStartAndEnd = exports.theta2Percent = exports.theta2Amount = exports.setClockwise = exports.percent2Theta = exports.normalize = exports.moveable = exports.containedInSquare = exports.amount2Theta = void 0;

var _reactNativeRedash = require("react-native-redash");

const normalize = theta => {
  'worklet';

  const rest = theta % _reactNativeRedash.TAU;
  return rest > 0 ? rest : _reactNativeRedash.TAU + rest;
};

exports.normalize = normalize;

const setClockwise = function (theta) {
  'worklet';

  let clockwise = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  return normalize((clockwise ? -theta : theta) + 0.5 * _reactNativeRedash.PI);
};

exports.setClockwise = setClockwise;

const thetaBetweenStartAndEnd = (start, end) => {
  'worklet';

  return start > end ? end + (_reactNativeRedash.TAU - start) : end - start;
};

exports.thetaBetweenStartAndEnd = thetaBetweenStartAndEnd;

const containedInSquare = (value, center, side) => {
  'worklet';

  const topLeft = {
    x: center.x - side / 2,
    y: center.y - side / 2
  };
  return value.x >= topLeft.x && value.y >= topLeft.y && value.x <= topLeft.x + side && value.y <= topLeft.y + side;
};

exports.containedInSquare = containedInSquare;

const percent2Theta = function (percent) {
  'worklet';

  let distance = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  const theta = _reactNativeRedash.TAU * (percent / 100);
  return theta + distance;
};

exports.percent2Theta = percent2Theta;

const theta2Percent = function (theta) {
  'worklet';

  let start = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

  const degrees = normalize(theta - start) * (180 / _reactNativeRedash.PI);

  return degrees / 360 * 100;
};

exports.theta2Percent = theta2Percent;

const amount2Theta = (amount, total, clockwise) => {
  'worklet';

  const percent = amount / total * 100;
  const theta = _reactNativeRedash.TAU * percent / 100;
  return setClockwise(theta, clockwise);
};

exports.amount2Theta = amount2Theta;

const theta2Amount = (theta, total, clockwise) => {
  'worklet';

  const percent = normalize(theta - 0.5 * _reactNativeRedash.PI) * 100 / _reactNativeRedash.TAU;

  const scale = percent / 100 * total;
  return clockwise ? total - scale : scale;
};

exports.theta2Amount = theta2Amount;

const vector = (theta, radius, center) => {
  'worklet';

  return (0, _reactNativeRedash.polar2Canvas)({
    theta,
    radius
  }, center);
};

exports.vector = vector;

const moveable = (start, end, current) => {
  'worklet';

  return start > end ? current > start || end > current : current < end && current >= start;
};

exports.moveable = moveable;
//# sourceMappingURL=worklets.js.map