import React from 'react';
import { useSharedValue } from 'react-native-reanimated';
import { canvas2Polar } from 'react-native-redash';
import CursorOverlay from './CursorOverlay';
import { Canvas, TickMark, Track } from '../components/svg';
import Gesture from '../components/Gesture';
import { useSliderContext, useThumbContext, useTickMarkContext } from '../context/SliderContext';
export function Container(_ref) {
  let {
    thetas,
    onGestureActive,
    onGestureEnd,
    children
  } = _ref;
  const {
    size,
    r,
    center,
    clockwise,
    trackWidth
  } = useSliderContext();
  const {
    show,
    total,
    unit,
    color,
    showText,
    thickness,
    length
  } = useTickMarkContext();
  const {
    icons
  } = useThumbContext();
  const target = useSharedValue(null);

  const onGestureStart = (_ref2, context) => {
    'worklet';

    let {
      x,
      y
    } = _ref2;
    const {
      theta
    } = canvas2Polar({
      x,
      y
    }, center.value);
    context.offset = theta;
    context.target = target;
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Canvas, {
    size: size
  }, /*#__PURE__*/React.createElement(Track, null), show && /*#__PURE__*/React.createElement(TickMark, {
    r,
    center,
    clockwise,
    trackWidth,
    total,
    unit,
    color,
    showText,
    thickness,
    length
  }), children), /*#__PURE__*/React.createElement(Gesture, {
    onStart: onGestureStart,
    onActive: onGestureActive,
    onEnd: onGestureEnd
  }, thetas.reduce((acc, curr, index, arr) => {
    const prev = arr[index - 1] || arr[arr.length - 1];
    const next = arr[index + 1] || arr[0];
    acc.push( /*#__PURE__*/React.createElement(CursorOverlay, {
      key: index,
      theta: curr,
      onPressIn: () => target.value = {
        prev,
        curr,
        next
      }
    }, icons[index]));
    return acc;
  }, [])));
}
//# sourceMappingURL=Container.js.map