import React from 'react';
import { StyleSheet } from 'react-native';
import { PanGestureHandler } from 'react-native-gesture-handler';
import Animated, { useAnimatedGestureHandler } from 'react-native-reanimated';
export default function Gesture(_ref) {
  let {
    onStart,
    onActive,
    onEnd,
    children
  } = _ref;
  const onGestureEvent = useAnimatedGestureHandler({
    onStart,
    onActive,
    onEnd
  });
  return /*#__PURE__*/React.createElement(PanGestureHandler, {
    onGestureEvent: onGestureEvent
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: StyleSheet.absoluteFill
  }, children));
}
//# sourceMappingURL=Gesture.js.map