import React from 'react';
import { StyleSheet, View } from 'react-native';
import SliderContextProvider from '../context/SliderContext';
export default function Slider(_ref) {
  let {
    size,
    clockwise,
    trackOptions,
    tickMarkOptions,
    thumbOptions,
    children
  } = _ref;
  const {
    width = size * 0.1,
    color = '#7F8487'
  } = trackOptions;
  const {
    show = false,
    unit = 5,
    total = 100,
    color: tickMarkColor = '#7F8487',
    length = 10,
    thickness = 2,
    showText = show,
    textSize = 10,
    textColor = '#191919'
  } = tickMarkOptions;
  return /*#__PURE__*/React.createElement(SliderContextProvider, {
    sliderOptions: {
      size,
      clockwise: clockwise ?? true
    },
    trackOptions: {
      width,
      color
    },
    tickMarkOptions: {
      show,
      unit,
      total,
      color: tickMarkColor,
      length,
      thickness,
      showText,
      textSize,
      textColor
    },
    thumbOptions: thumbOptions
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.container, {
      width: size,
      height: size
    }]
  }, children));
}
const styles = StyleSheet.create({
  container: {
    position: 'relative'
  }
});
//# sourceMappingURL=Slider.js.map