import React, { memo } from 'react';
import { Svg } from 'react-native-svg';
import { StyleSheet } from 'react-native';
import Animated, { useAnimatedProps } from 'react-native-reanimated';
const AnimatedSvg = Animated.createAnimatedComponent(Svg);
export const Canvas = /*#__PURE__*/memo(_ref => {
  let {
    size,
    children
  } = _ref;
  const animatedProps = useAnimatedProps(() => {
    return {
      width: size.value,
      height: size.value
    };
  });
  return /*#__PURE__*/React.createElement(AnimatedSvg, {
    animatedProps: animatedProps,
    style: StyleSheet.absoluteFill
  }, children);
});
//# sourceMappingURL=Canvas.js.map