import React, { memo } from 'react';
import { TAU } from 'react-native-redash';
import { Mark } from './Mark';
import { setClockwise } from '../../utils/worklets';
export const TickMark = /*#__PURE__*/memo(_ref => {
  let {
    r,
    trackWidth,
    center,
    showText,
    color,
    thickness,
    length,
    clockwise,
    total,
    unit
  } = _ref;
  return /*#__PURE__*/React.createElement(React.Fragment, null, Array.from({
    length: total
  }).map((_, i) => {
    const theta = setClockwise(i * TAU / total, clockwise);
    const isLong = i % unit === 0;
    return /*#__PURE__*/React.createElement(Mark, {
      key: i,
      theta: theta,
      text: isLong ? String(i) : undefined,
      r,
      trackWidth,
      center,
      showText,
      color,
      thickness,
      length
    });
  }));
});
//# sourceMappingURL=TickMark.js.map