import React from 'react';
import { Duration } from './Duration';
import Slider from '../../components/Slider';
export function DurationSlider(_ref) {
  let {
    size,
    clockwise,
    duration,
    thumbColor = {
      start: '#FFA500',
      end: '#FFA500'
    },
    thumbIcon = {
      start: null,
      end: null
    },
    filledColor = '#FFE5B4',
    onChange,
    trackOptions = {},
    tickMarkOptions = {}
  } = _ref;
  return /*#__PURE__*/React.createElement(Slider, {
    size: size,
    clockwise: clockwise,
    trackOptions: trackOptions,
    tickMarkOptions: tickMarkOptions,
    thumbOptions: {
      colors: [thumbColor.start, thumbColor.end],
      icons: [thumbIcon.start, thumbIcon.end]
    }
  }, /*#__PURE__*/React.createElement(Duration, {
    duration: duration,
    onChange: onChange,
    filledColor: filledColor
  }));
}
//# sourceMappingURL=index.js.map