import { PI, polar2Canvas, TAU } from 'react-native-redash';
export const normalize = theta => {
  'worklet';

  const rest = theta % TAU;
  return rest > 0 ? rest : TAU + rest;
};
export const setClockwise = function (theta) {
  'worklet';

  let clockwise = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  return normalize((clockwise ? -theta : theta) + 0.5 * PI);
};
export const thetaBetweenStartAndEnd = (start, end) => {
  'worklet';

  return start > end ? end + (TAU - start) : end - start;
};
export const containedInSquare = (value, center, side) => {
  'worklet';

  const topLeft = {
    x: center.x - side / 2,
    y: center.y - side / 2
  };
  return value.x >= topLeft.x && value.y >= topLeft.y && value.x <= topLeft.x + side && value.y <= topLeft.y + side;
};
export const percent2Theta = function (percent) {
  'worklet';

  let distance = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  const theta = TAU * (percent / 100);
  return theta + distance;
};
export const theta2Percent = function (theta) {
  'worklet';

  let start = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  const degrees = normalize(theta - start) * (180 / PI);
  return degrees / 360 * 100;
};
export const amount2Theta = (amount, total, clockwise) => {
  'worklet';

  const percent = amount / total * 100;
  const theta = TAU * percent / 100;
  return setClockwise(theta, clockwise);
};
export const theta2Amount = (theta, total, clockwise) => {
  'worklet';

  const percent = normalize(theta - 0.5 * PI) * 100 / TAU;
  const scale = percent / 100 * total;
  return clockwise ? total - scale : scale;
};
export const vector = (theta, radius, center) => {
  'worklet';

  return polar2Canvas({
    theta,
    radius
  }, center);
};
export const moveable = (start, end, current) => {
  'worklet';

  return start > end ? current > start || end > current : current < end && current >= start;
};
//# sourceMappingURL=worklets.js.map