import React from 'react';
import { Vector } from 'react-native-redash';
import { SharedValue } from 'react-native-reanimated';
import { GestureThumbs } from '../types';
export declare type GestureContext = {
    offset: number;
    target: SharedValue<GestureThumbs | null>;
};
export interface GestureProps {
    onStart?: (vector: Vector, context: GestureContext) => void;
    onActive?: (vector: Vector, context: GestureContext) => void;
    onEnd?: (vector: Vector, context: GestureContext) => void;
    children?: React.ReactNode;
}
export default function Gesture({ onStart, onActive, onEnd, children, }: GestureProps): JSX.Element;
