import React from 'react';
import { SharedNumber, SharedVector, SliderOptions, ThumbOptions, TickMarkOptions, TrackOptions } from '../types';
interface SliderContext {
    size: SharedNumber;
    r: SharedNumber;
    center: SharedVector;
    trackWidth: SharedNumber;
    trackColor: string;
    clockwise: boolean;
    tickMarkOptions: Required<TickMarkOptions>;
    thumbOptions: Required<ThumbOptions>;
}
declare const SliderContext: React.Context<SliderContext | null>;
export interface SliderContextProviderProps {
    sliderOptions: Required<SliderOptions>;
    trackOptions: Required<TrackOptions>;
    tickMarkOptions: Required<TickMarkOptions>;
    thumbOptions: Required<ThumbOptions>;
    children?: React.ReactNode;
}
export default function SliderContextProvider({ sliderOptions, trackOptions, tickMarkOptions, thumbOptions, children, }: SliderContextProviderProps): JSX.Element;
export declare function useSliderContext(): SliderContext;
export declare function useTickMarkContext(): Required<TickMarkOptions>;
export declare function useThumbContext(): Required<ThumbOptions>;
export {};
