import { Vector } from 'react-native-redash';
import { SharedValue } from 'react-native-reanimated';
import React from 'react';
export declare type RequiredPick<T, K extends keyof T> = T & Required<Pick<T, K>>;
export declare type SharedNumber = SharedValue<number>;
export declare type SharedVector = SharedValue<Vector>;
export declare type GestureThumbs = {
    prev: SharedNumber;
    curr: SharedNumber;
    next: SharedNumber;
};
export declare type SliderOptions = {
    size: number;
    clockwise?: boolean;
};
export declare type ThumbOptions = {
    colors?: string[];
    icons?: React.ReactNode[];
};
export declare type TrackOptions = {
    width?: number;
    color?: string;
};
export declare type TickMarkOptions = {
    show?: boolean;
    unit?: number;
    total?: number;
    color?: string;
    length?: number;
    thickness?: number;
    showText?: boolean;
    textSize?: number;
    textColor?: string;
};
